@import url('https://fonts.googleapis.com/css2?family=Source+Sans+Pro:ital,wght@0,400;0,600;1,400;1,600&display=swap');

body{
    margin: 0;
    font-family: 'Source Sans Pro',sans-serif;
}
.formInsert{
    font-family: 'Source Sans Pro',sans-serif;
    font-size: 16px;

}
.formInsert * {
    box-sizing: border-box;
    line-height: 1.5;
}

.form__title{
    font-size: 2em;
    font-weight: 600;
}

.form__item{
    display: flex;
    flex-direction: column;
}

.form__item > *{
    align-self: flex-start;
}
.form__label{
    font-weight: 600;
    padding: 10px 0;
}

.form__input{
    -webkit-appearance: none;

    width: 100%;
    max-width: 425px;

    /*fix for safari/ios date fields*/

    min-height: calc(0.9em + (0.8em * 2) + 0.6em);

    padding:0.8em;
    font-size: 0.9em;
    font-family: 'Source Sans Pro',sans-serif;

    outline:none;
    border:1px solid #dddddd;
    border-radius: 4px;
    background: #f9f9f9;
    transition: background 0.25s, border-color 0.25s, color 0.25;

}

.form__input:focus{
    background: #ffffff;
}

.form__input::placeholder{
    color: #bbbbbb;
}

.form__input__error{
    color: #d50000;
    background: #fff8f8;
    border-color: #d50000;
}

.form__input__error::placeholder{
    color: #ffbfbf;
}

.form__error{
    padding-top: 10px;
    color: #d50000;
    font-size: 0.9em;
    visibility: hidden;
}

.form__input__error + .form__error{
    visibility: visible;
}

.form__input__small{
    max-width: 250px;
}
.form__button{
    font-family: 'Source Sans Pro',sans-serif;
    font-weight: 600;
    font-size: 1.1em;
    padding: 10px 16px;
    margin: 10px 0;

    color: #ffffff;
    background: #14b64a;
    border: 2px solid #0fa942;
    border-radius: 5px;

    cursor: pointer;
    outline: none;  
    
    transition: background 1s, border-color 1s, color 1s;

}

.form__button:hover{
    background: #4a0fa9;
    border-color:  #9467dd;
}

.menu-btn{
    margin: 2px;
    transform: scale(0.6);
    display: flex;
    justify-content: center;
    align-items: center;
    width: 80px;
    height: 80px;
    cursor: pointer;
    transition: all .5s ease-in-out;
    border: 3px solid #616161;
    border-radius: 5px;
}

.menu-btn__burger{
    width: 50px;
    height: 6px;
    background: #ffffff;
    border-radius: 5px;
    box-shadow: 0 2px 5px rgba(255,101,47,.2);
    transition: all .5s ease-in-out;
}
nav{
    font-family: 'Source Sans Pro',sans-serif;
    font-size: 16px;

    width: 100%;
    display:flex;
    align-items:center;
    height: 70px;
    background: #424242;
}
.iconbox{
    width: 20px;
    margin-right: 50px;
}
.gg-layout-list{
    scale: 150%;
}
.iconbox__logout{
    width: 20px;
    margin-right: 10px;
    margin-left: 150px;
}
.sidenav{
font-family: 'Source Sans Pro',sans-serif;
font-size: 16px;
overflow: hidden;
margin-top: 70px;
height: 60%; 
width: 0;
position: fixed; 
z-index: 1; 
top: 0; 
left: 0;
background-color: #616161; 
overflow-x: hidden; 
padding-top: 20px; 
transition: 0.5s;
border-radius: 2px;
}
/*
.sidenav__a{
    display: flex;
    align-items: center;
}

.sidenav__a i{
    margin-right: 5px;
    vertical-align: middle;
}*/
.sidenav a {
    padding: 8px 8px 8px 32px;
    text-decoration: none;
    font-size: 25px;
    color: #bbbbbb;
    display: flex;
    transition: 0.3s;
    overflow: hidden;
    align-items: center;
    transition: all .5s ease-in-out; 
    text-align: end;
    width: 400px;
  }

.sidenav a i{
    /*padding-right: 20px;/*
    /*margin-right: 15px;*/
    vertical-align: auto;
    /*width: 20px;*/
}

#smaller{
    font-size: 1em;
    
}

.sidenav a:hover{
    color: #ffffff;
}

/*.content{
    display: flex;
}*/

.menu-btn__burger::before,
.menu-btn__burger::after{
    content: '';
    position: absolute;
    width: 50px;
    height: 6px;
    background: #ffffff;
    border-radius: 5px;
    box-shadow: 0 2px 5px rgba(255,101,47,.2);
    transition: all .5s ease-in-out;
}
.menu-btn__burger::before{
    transform: translateY(-16px);
}
.menu-btn__burger::after{
    transform: translateY(16px);
}



.menu-btn.open .menu-btn__burger{
    transform: translateX(-50px);
    background: transparent;
    box-shadow: none;
}
.menu-btn.open .menu-btn__burger::before{
    transform: rotate(45deg) translate(35px, -35px);
}
.menu-btn.open .menu-btn__burger::after{
    transform: rotate(-45deg) translate(35px, 35px);
}




.topnav{
    width: 100%;
    display: flex;
    justify-content: flex-end;
    margin-right: 40px;
    gap: 20px;
    
}

.topnav a{
    font-family: 'Source Sans Pro',sans-serif;
    font-size: 20px;
    font-weight: 500;
    color: #ffffff;
    text-decoration: none;
}

.container {
    display: grid;
    grid-template-columns: repeat(auto-fill, minmax(300px, 1fr));
    grid-gap: 1px;
}

.item {
    margin-top: 20px;
    border: 1px solid transparent;
    padding: 5px;
    text-align: center;
    transition: transform 0.3s ease; /* Add transition effect to transform */
    text-decoration: none;
}

.item img {
    max-width: 100%;
    
}

.item:hover {
    transform: scale(1.1); /* Apply scale transformation on hover */
}

.item h3 {
    margin-top: 10px;
    color: #333; /* Change the color of the heading text */
    font-size: 18px; /* Adjust the font size of the heading text */
    font-weight: bold; /* Add font weight to the heading text if desired */
    text-decoration: none!important;
}

.item p {
    margin-bottom: 5px;
    color: #666; /* Change the color of the paragraph text */
    font-size: 14px; /* Adjust the font size of the paragraph text */
    text-decoration: none!important;
}
#imagePreview {
    position: fixed;
    top: 10%;
    left: 50%;
    width: 400px;
    height: 400px;
    border: 1px solid #dddddd;
    border-radius: 4px;
    background: #f9f9f9;
  }


  /*__________DASHBOARD__________*/




  .grid-container{
    display: inline-grid;
    row-gap: 25px;
    column-gap: 25px;
    margin-left:150px;
    padding-right: 25px;
  }

  .row-container{
    display: inline-grid;
    grid-template-columns: 650px 650px;
    padding: 25px;
    /*border: 1px solid rgba(124, 122, 122, 0.856);*/
    width:1135px;
  }
  
  .grid-item{
    background-color: rgba(255, 255, 255, 0.8);
    border: 1px solid rgba(0, 0, 0, 0.8);
    font-size: 20px;
    text-align: center;
    height: 350px;
    width: 500px;
    box-shadow: 0 4px 8px rgba(0,0,0,0.1);
    border-radius: 5px;
  }
  .container {
    background-color: #fff;
    border-radius: 10px;
    padding: 20px;
    box-shadow: 0px 0px 10px rgba(0, 0, 0, 0.1);
}

h1 {
    color: #333;
    margin-bottom: 10px;
}

.status {
    color: #666;
    margin-bottom: 20px;
}

.form {
    display: flex;
    justify-content: center;
}

.btn {
    padding: 10px 20px;
    border: none;
    border-radius: 5px;
    cursor: pointer;
    font-weight: bold;
    transition: background-color 0.2s ease;
}

.start-btn {
    background-color: #4caf50;
    color: #fff;
}

.stop-btn {
    background-color: #f44336;
    color: #fff;
}

.restart-btn {
    background-color: #2196f3;
    color: #fff;
}

.btn:hover {
    background-color: #555;
}